Altibase.jdbc.driver.sharding.executor

## Class BatchPreparedStatementUnit

- java.lang.Object
- - Altibase.jdbc.driver.sharding.executor.BatchPreparedStatementUnit

All Implemented Interfaces:
  BaseStatementUnit

    public class BatchPreparedStatementUnit
    extends java.lang.Object
    implements BaseStatementUnit

### Constructor Summary

Constructors
Constructor and Description
`BatchPreparedStatementUnit(DataNode aNode, java.sql.PreparedStatement aStatement, java.util.List<Column> aParameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataNode` `getNode()`
`java.sql.PreparedStatement` `getStatement()`
`void` `mapAddBatchCount(int aJdbcAddBatchTimes)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchPreparedStatementUnit

    public BatchPreparedStatementUnit(DataNode aNode,
                                      java.sql.PreparedStatement aStatement,
                                      java.util.List<Column> aParameters)

### Method Detail

#### getNode

    public DataNode getNode()

Specified by:
  `getNode` in interface `BaseStatementUnit`

#### getStatement

    public java.sql.PreparedStatement getStatement()

Specified by:
  `getStatement` in interface `BaseStatementUnit`

#### mapAddBatchCount

    public void mapAddBatchCount(int aJdbcAddBatchTimes)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`